Index: tests/t3lib/t3lib_tcemain_testcase.php
===================================================================
--- tests/t3lib/t3lib_tcemain_testcase.php	(Revision 5046)
+++ tests/t3lib/t3lib_tcemain_testcase.php	(Arbeitskopie)
@@ -22,10 +22,7 @@
 * This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
 
-require_once(PATH_t3lib . 'class.t3lib_beuserauth.php');
 
-require_once(PATH_t3lib . 'class.t3lib_tcemain.php');
-
 /**
  * Testcase for the t3lib_TCEmain class in the TYPO3 core.
  *
Index: t3lib/class.t3lib_foldertree.php
===================================================================
--- t3lib/class.t3lib_foldertree.php	(Revision 5046)
+++ t3lib/class.t3lib_foldertree.php	(Arbeitskopie)
@@ -55,7 +55,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_treeview.php');
 
 
 
Index: t3lib/class.t3lib_basicfilefunc.php
===================================================================
--- t3lib/class.t3lib_basicfilefunc.php	(Revision 5046)
+++ t3lib/class.t3lib_basicfilefunc.php	(Arbeitskopie)
@@ -67,7 +67,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_cs.php');
 
 
 /**
Index: t3lib/class.t3lib_scbase.php
===================================================================
--- t3lib/class.t3lib_scbase.php	(Revision 5046)
+++ t3lib/class.t3lib_scbase.php	(Arbeitskopie)
@@ -80,7 +80,6 @@
  * 		require ($BACK_PATH.'init.php');
  * 		require ($BACK_PATH.'template.php');
  * 		$LANG->includeLLFile('EXT:prototype/locallang.php');
- * 		require_once(PATH_t3lib.'class.t3lib_scbase.php');		// NOTICE THE INCLUSION OF t3lib_SCbase
  * 		$BE_USER->modAccess($MCONF,1);
  *
  * 			// SC_mod_prototype EXTENDS THE CLASS t3lib_SCbase with a main() and printContent() function:
Index: t3lib/class.t3lib_refindex.php
===================================================================
--- t3lib/class.t3lib_refindex.php	(Revision 5046)
+++ t3lib/class.t3lib_refindex.php	(Arbeitskopie)
@@ -60,10 +60,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_befunc.php');
-require_once(PATH_t3lib.'class.t3lib_tcemain.php');
-require_once(PATH_t3lib.'class.t3lib_flexformtools.php');
-//require_once(PATH_typo3.'sysext/indexed_search/class.lexer.php'); // Disabled until Kasper finishes this feature. Apart from that, t3lib classes should never require stuff from extensions.
 
 
 
Index: t3lib/class.t3lib_syntaxhl.php
===================================================================
--- t3lib/class.t3lib_syntaxhl.php	(Revision 5046)
+++ t3lib/class.t3lib_syntaxhl.php	(Arbeitskopie)
@@ -71,7 +71,6 @@
 
 
 
-require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
 
 
 /**
Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(Revision 5046)
+++ t3lib/class.t3lib_tceforms.php	(Arbeitskopie)
@@ -181,16 +181,7 @@
 
 
 
-require_once(PATH_t3lib.'class.t3lib_diff.php');
-require_once(PATH_t3lib.'class.t3lib_tceforms_inline.php');
 
-	/**
-	 * Frontend version of TCEForms has been moved into its own file and should
-	 * be included directly by calling scripts.
-	 */
-require_once(PATH_t3lib . 'class.t3lib_tceforms_fe.php');
-
-
 /**
  * 'TCEforms' - Class for creating the backend editing forms.
  *
Index: t3lib/class.t3lib_svbase.php
===================================================================
--- t3lib/class.t3lib_svbase.php	(Revision 5046)
+++ t3lib/class.t3lib_svbase.php	(Arbeitskopie)
@@ -108,7 +108,6 @@
 // define ('T3_ERR_SV_serviceType_myerr, -100); // All errors with prefix T3_ERR_SV_[serviceType]_ and lower than -99 are service type dependent error
 
 
-require_once(PATH_t3lib.'class.t3lib_exec.php');
 
 
 
@@ -375,7 +374,6 @@
 	function checkExec($progList) {
 		$ret = TRUE;
 
-		require_once(PATH_t3lib.'class.t3lib_exec.php');
 
 		$progList = t3lib_div::trimExplode(',', $progList, 1);
 		foreach($progList as $prog) {
Index: t3lib/class.t3lib_sqlengine.php
===================================================================
--- t3lib/class.t3lib_sqlengine.php	(Revision 5046)
+++ t3lib/class.t3lib_sqlengine.php	(Arbeitskopie)
@@ -89,7 +89,6 @@
 
 
 
-require_once(PATH_t3lib.'class.t3lib_sqlparser.php');
 
 
 /**
Index: t3lib/class.t3lib_pagetree.php
===================================================================
--- t3lib/class.t3lib_pagetree.php	(Revision 5046)
+++ t3lib/class.t3lib_pagetree.php	(Arbeitskopie)
@@ -64,7 +64,6 @@
 
 
 
-require_once (PATH_t3lib.'class.t3lib_treeview.php');
 
 /**
  * Class for generating a page tree.
Index: t3lib/class.t3lib_tsstyleconfig.php
===================================================================
--- t3lib/class.t3lib_tsstyleconfig.php	(Revision 5046)
+++ t3lib/class.t3lib_tsstyleconfig.php	(Arbeitskopie)
@@ -57,7 +57,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_tsparser_ext.php');
 
 
 
Index: t3lib/class.t3lib_extmgm.php
===================================================================
--- t3lib/class.t3lib_extmgm.php	(Revision 5046)
+++ t3lib/class.t3lib_extmgm.php	(Arbeitskopie)
@@ -829,8 +829,6 @@
 
 						// service depends on external programs - check if they exists
 					if(trim($info['exec'])) {
-						require_once(PATH_t3lib.'class.t3lib_exec.php');
-
 						$executables = t3lib_div::trimExplode(',', $info['exec'], 1);
 						foreach($executables as $executable) {
 							if(!t3lib_exec::checkCommand($executable)) {
Index: t3lib/class.t3lib_install.php
===================================================================
--- t3lib/class.t3lib_install.php	(Revision 5046)
+++ t3lib/class.t3lib_install.php	(Arbeitskopie)
@@ -71,7 +71,6 @@
 
 
 
-require_once(PATH_t3lib.'class.t3lib_sqlparser.php');
 
 /**
  * Class to setup values in localconf.php and verify the TYPO3 DB tables/fields
Index: t3lib/class.t3lib_transferdata.php
===================================================================
--- t3lib/class.t3lib_transferdata.php	(Revision 5046)
+++ t3lib/class.t3lib_transferdata.php	(Arbeitskopie)
@@ -73,10 +73,6 @@
  */
 
 
-require_once (PATH_t3lib.'class.t3lib_loaddbgroup.php');
-require_once (PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once (PATH_t3lib.'class.t3lib_parsehtml_proc.php');
-require_once (PATH_t3lib.'class.t3lib_flexformtools.php');
 
 
 
Index: t3lib/class.t3lib_browsetree.php
===================================================================
--- t3lib/class.t3lib_browsetree.php	(Revision 5046)
+++ t3lib/class.t3lib_browsetree.php	(Arbeitskopie)
@@ -49,7 +49,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_treeview.php');
 
 
 
Index: t3lib/class.t3lib_tstemplate.php
===================================================================
--- t3lib/class.t3lib_tstemplate.php	(Revision 5046)
+++ t3lib/class.t3lib_tstemplate.php	(Arbeitskopie)
@@ -80,8 +80,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_tsparser.php');
-require_once (PATH_t3lib.'class.t3lib_matchcondition.php');
 
 
 
Index: t3lib/class.t3lib_frontendedit.php
===================================================================
--- t3lib/class.t3lib_frontendedit.php	(Revision 5046)
+++ t3lib/class.t3lib_frontendedit.php	(Arbeitskopie)
@@ -109,16 +109,8 @@
 		if (($this->isAdminModuleEnabled('edit') && $this->isAdminModuleOpen('edit')) || $GLOBALS['TSFE']->displayEditIcons == 1) {
 			$GLOBALS['TSFE']->includeTCA();
 			if ($this->isEditAction()) {
-				require_once (PATH_t3lib . 'class.t3lib_tcemain.php');
 				$this->editAction();
 			}
-
-			if ($this->isEditFormShown()) {
-				require_once(PATH_t3lib . 'class.t3lib_tceforms.php');
-				require_once(PATH_t3lib . 'class.t3lib_iconworks.php');
-				require_once(PATH_t3lib . 'class.t3lib_loaddbgroup.php');
-				require_once(PATH_t3lib . 'class.t3lib_transferdata.php');
-			}
 		}
 
 		if ($GLOBALS['TSFE']->forceTemplateParsing || $GLOBALS['TSFE']->displayEditIcons || $GLOBALS['TSFE']->displayFieldEditIcons) {
Index: t3lib/class.t3lib_treeview.php
===================================================================
--- t3lib/class.t3lib_treeview.php	(Revision 5046)
+++ t3lib/class.t3lib_treeview.php	(Arbeitskopie)
@@ -98,9 +98,6 @@
 
 
 
-require_once (PATH_t3lib.'class.t3lib_iconworks.php');
-require_once (PATH_t3lib.'class.t3lib_befunc.php');
-require_once (PATH_t3lib.'class.t3lib_div.php');
 
 
 /**
Index: t3lib/class.t3lib_tceforms_fe.php
===================================================================
--- t3lib/class.t3lib_tceforms_fe.php	(Revision 5046)
+++ t3lib/class.t3lib_tceforms_fe.php	(Arbeitskopie)
@@ -49,7 +49,6 @@
  * @author	Kasper Skaarhoj <kasperYYYY@typo3.com>
  */
 
-require_once(PATH_t3lib . 'class.t3lib_tceforms.php');
 
 
 /**
Index: t3lib/class.t3lib_softrefproc.php
===================================================================
--- t3lib/class.t3lib_softrefproc.php	(Revision 5046)
+++ t3lib/class.t3lib_softrefproc.php	(Arbeitskopie)
@@ -94,7 +94,6 @@
  */
 
 
-require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
 
 /**
  * Class for processing of the default soft reference types for CMS:
Index: t3lib/class.t3lib_loaddbgroup.php
===================================================================
--- t3lib/class.t3lib_loaddbgroup.php	(Revision 5046)
+++ t3lib/class.t3lib_loaddbgroup.php	(Arbeitskopie)
@@ -62,7 +62,6 @@
 
 
 
-require_once (PATH_t3lib.'class.t3lib_refindex.php');
 
 
 
Index: t3lib/class.t3lib_befunc.php
===================================================================
--- t3lib/class.t3lib_befunc.php	(Revision 5046)
+++ t3lib/class.t3lib_befunc.php	(Arbeitskopie)
@@ -171,7 +171,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_loaddbgroup.php');
 
 
 /**
Index: t3lib/class.t3lib_cache.php
===================================================================
--- t3lib/class.t3lib_cache.php	(Revision 5046)
+++ t3lib/class.t3lib_cache.php	(Arbeitskopie)
@@ -22,7 +22,6 @@
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/
 
-require_once(PATH_t3lib . 'interfaces/interface.t3lib_singleton.php');
 
 /**
  * A cache handling helper class
Index: t3lib/class.t3lib_tceforms_inline.php
===================================================================
--- t3lib/class.t3lib_tceforms_inline.php	(Revision 5046)
+++ t3lib/class.t3lib_tceforms_inline.php	(Arbeitskopie)
@@ -88,7 +88,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
 
 class t3lib_TCEforms_inline {
 
@@ -998,9 +997,6 @@
 		global $SOBE, $BE_USER, $TYPO3_CONF_VARS;
 
 		require_once(PATH_typo3.'template.php');
-		require_once(PATH_t3lib.'class.t3lib_tceforms.php');
-		require_once(PATH_t3lib.'class.t3lib_clipboard.php');
-
 		$GLOBALS['LANG']->includeLLFile('EXT:lang/locallang_alt_doc.xml');
 
 			// Create a new anonymous object:
Index: t3lib/class.t3lib_lock.php
===================================================================
--- t3lib/class.t3lib_lock.php	(Revision 5046)
+++ t3lib/class.t3lib_lock.php	(Arbeitskopie)
@@ -32,7 +32,6 @@
  * @author	Michael Stucki <michael@typo3.org>
  */
 
-require_once(PATH_t3lib.'class.t3lib_div.php');
 
 
 
Index: t3lib/class.t3lib_userauth.php
===================================================================
--- t3lib/class.t3lib_userauth.php	(Revision 5046)
+++ t3lib/class.t3lib_userauth.php	(Arbeitskopie)
@@ -85,7 +85,6 @@
  */
 
 
-require_once(t3lib_extMgm::extPath('sv').'class.tx_sv_authbase.php');
 
 
 
Index: t3lib/class.t3lib_userauthgroup.php
===================================================================
--- t3lib/class.t3lib_userauthgroup.php	(Revision 5046)
+++ t3lib/class.t3lib_userauthgroup.php	(Arbeitskopie)
@@ -99,8 +99,6 @@
  *
  */
 
-	// Need this for parsing User TSconfig
-require_once (PATH_t3lib.'class.t3lib_tsparser.php');
 
 
 
@@ -120,8 +118,6 @@
 
 
 
-
-
 /**
  * Extension to class.t3lib_userauth.php; Authentication of users in TYPO3 Backend
  *
Index: t3lib/class.t3lib_tcemain.php
===================================================================
--- t3lib/class.t3lib_tcemain.php	(Revision 5046)
+++ t3lib/class.t3lib_tcemain.php	(Arbeitskopie)
@@ -205,15 +205,6 @@
 
 
 
-// *******************************
-// Including necessary libraries
-// *******************************
-require_once (PATH_t3lib.'class.t3lib_loaddbgroup.php');
-require_once (PATH_t3lib.'class.t3lib_parsehtml_proc.php');
-require_once (PATH_t3lib.'class.t3lib_stdgraphic.php');
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once (PATH_t3lib.'class.t3lib_refindex.php');
-require_once (PATH_t3lib.'class.t3lib_flexformtools.php');
 
 
 
@@ -224,7 +215,6 @@
 
 
 
-
 /**
  * This is the TYPO3 Core Engine class for manipulation of the database
  * This class is used by eg. the tce_db.php script which provides an the interface for POST forms to this class.
Index: t3lib/class.t3lib_parsehtml_proc.php
===================================================================
--- t3lib/class.t3lib_parsehtml_proc.php	(Revision 5046)
+++ t3lib/class.t3lib_parsehtml_proc.php	(Arbeitskopie)
@@ -80,7 +80,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_parsehtml.php');
 
 
 
Index: t3lib/class.t3lib_tsparser_ext.php
===================================================================
--- t3lib/class.t3lib_tsparser_ext.php	(Revision 5046)
+++ t3lib/class.t3lib_tsparser_ext.php	(Arbeitskopie)
@@ -87,7 +87,6 @@
  *
  */
 
-require_once(PATH_t3lib.'class.t3lib_tstemplate.php');
 
 
 
Index: t3lib/class.t3lib_extobjbase.php
===================================================================
--- t3lib/class.t3lib_extobjbase.php	(Revision 5046)
+++ t3lib/class.t3lib_extobjbase.php	(Arbeitskopie)
@@ -112,7 +112,6 @@
  *
  * Anyways, the final interesting thing is to see what the framework "func_wizard" actually does:
  *
- * 	require_once(PATH_t3lib."class.t3lib_extobjbase.php");
  * 	class tx_funcwizards_webfunc extends t3lib_extobjbase {
  * 		var $localLangFile = "locallang.php";
  * 		var $function_key = "wiz";
Index: typo3/class.filelistfoldertree.php
===================================================================
--- typo3/class.filelistfoldertree.php	(Revision 5046)
+++ typo3/class.filelistfoldertree.php	(Arbeitskopie)
@@ -51,7 +51,6 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_foldertree.php');
 
 
 
Index: typo3/class.webpagetree.php
===================================================================
--- typo3/class.webpagetree.php	(Revision 5046)
+++ typo3/class.webpagetree.php	(Arbeitskopie)
@@ -56,7 +56,6 @@
  */
 
 
-require_once(PATH_t3lib.'class.t3lib_browsetree.php');
 
 
 /**
Index: typo3/wizard_edit.php
===================================================================
--- typo3/wizard_edit.php	(Revision 5046)
+++ typo3/wizard_edit.php	(Arbeitskopie)
@@ -53,7 +53,6 @@
 require ('init.php');
 require ('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_wizards.xml');
-require_once (PATH_t3lib.'class.t3lib_loaddbgroup.php');
 
 
 
Index: typo3/class.browse_links.php
===================================================================
--- typo3/class.browse_links.php	(Revision 5046)
+++ typo3/class.browse_links.php	(Arbeitskopie)
@@ -115,18 +115,8 @@
  *
  */
 
-require_once (PATH_t3lib.'class.t3lib_browsetree.php');
-require_once (PATH_t3lib.'class.t3lib_foldertree.php');
-require_once (PATH_t3lib.'class.t3lib_stdgraphic.php');
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
 
 
-	// Include classes
-require_once (PATH_t3lib.'class.t3lib_page.php');
-require_once (PATH_t3lib.'class.t3lib_recordlist.php');
-require_once (PATH_typo3.'/class.db_list.inc');
-require_once (PATH_typo3.'/class.db_list_extra.inc');
-require_once (PATH_t3lib.'/class.t3lib_pagetree.php');
 
 
 
@@ -144,8 +134,6 @@
 
 
 
-
-
 /**
  * Local version of the record list.
  *
Index: typo3/file_list.php
===================================================================
--- typo3/file_list.php	(Revision 5046)
+++ typo3/file_list.php	(Arbeitskopie)
@@ -54,12 +54,6 @@
 require ('init.php');
 require ('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_mod_file_list.xml');
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once (PATH_t3lib.'class.t3lib_extfilefunc.php');
-require_once (PATH_t3lib.'class.t3lib_recordlist.php');
-require_once (PATH_t3lib.'class.t3lib_clipboard.php');
-require_once (PATH_t3lib.'class.t3lib_parsehtml.php');
-require_once ('class.file_list.inc');
 $BE_USER->modAccess($MCONF,1);
 
 
Index: typo3/alt_shortcut.php
===================================================================
--- typo3/alt_shortcut.php	(Revision 5046)
+++ typo3/alt_shortcut.php	(Arbeitskopie)
@@ -68,8 +68,6 @@
 require('init.php');
 require('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_misc.xml');
-require_once(PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once(PATH_t3lib.'class.t3lib_basicfilefunc.php');
 
 
 
Index: typo3/alt_main.php
===================================================================
--- typo3/alt_main.php	(Revision 5046)
+++ typo3/alt_main.php	(Arbeitskopie)
@@ -63,9 +63,6 @@
 
 require ('init.php');
 require ('template.php');
-require_once (PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once ('class.alt_menu_functions.inc');
 $LANG->includeLLFile('EXT:lang/locallang_misc.xml');
 
 
Index: typo3/logomenu.php
===================================================================
--- typo3/logomenu.php	(Revision 5046)
+++ typo3/logomenu.php	(Arbeitskopie)
@@ -40,7 +40,6 @@
 require ('init.php');
 require ('template.php');
 
-require_once(PATH_t3lib.'class.t3lib_topmenubase.php');
 
 
 
Index: typo3/alt_doc_nodoc.php
===================================================================
--- typo3/alt_doc_nodoc.php	(Revision 5046)
+++ typo3/alt_doc_nodoc.php	(Arbeitskopie)
@@ -52,13 +52,8 @@
 require('init.php');
 require('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_alt_doc.xml');
-require_once(PATH_t3lib.'class.t3lib_loadmodules.php');
 
 
-if (t3lib_extMgm::isLoaded('taskcenter') && t3lib_extMgm::isLoaded('taskcenter_recent'))	{
-	require_once(t3lib_extMgm::extPath('taskcenter').'task/class.mod_user_task.php');
-	require_once(t3lib_extMgm::extPath('taskcenter_recent').'class.tx_taskcenterrecent.php');
-}
 
 
 
Index: typo3/alt_palette.php
===================================================================
--- typo3/alt_palette.php	(Revision 5046)
+++ typo3/alt_palette.php	(Arbeitskopie)
@@ -60,9 +60,6 @@
 
 require('init.php');
 require('template.php');
-require_once(PATH_t3lib.'class.t3lib_tceforms.php');
-require_once(PATH_t3lib.'class.t3lib_transferdata.php');
-require_once(PATH_t3lib.'class.t3lib_loaddbgroup.php');
 $LANG->includeLLFile('EXT:lang/locallang_alt_doc.xml');
 
 
Index: typo3/show_item.php
===================================================================
--- typo3/show_item.php	(Revision 5046)
+++ typo3/show_item.php	(Arbeitskopie)
@@ -59,9 +59,6 @@
 $BACK_PATH = '';
 require($BACK_PATH.'init.php');
 require($BACK_PATH.'template.php');
-require_once(PATH_t3lib.'class.t3lib_page.php');
-require_once(PATH_t3lib.'class.t3lib_loaddbgroup.php');
-require_once(PATH_t3lib.'class.t3lib_transferdata.php');
 
 
 
@@ -325,7 +322,6 @@
 	function renderFileInfo($returnLinkTag)	{
 
 			// Initialize object to work on the image:
-		require_once(PATH_t3lib.'class.t3lib_stdgraphic.php');
 		$imgObj = t3lib_div::makeInstance('t3lib_stdGraphic');
 		$imgObj->init();
 		$imgObj->mayScaleUp = 0;
Index: typo3/alt_topmenu_dummy.php
===================================================================
--- typo3/alt_topmenu_dummy.php	(Revision 5046)
+++ typo3/alt_topmenu_dummy.php	(Arbeitskopie)
@@ -55,8 +55,6 @@
 
 require ('init.php');
 require ('template.php');
-require_once (PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
 require_once ('class.alt_menu_functions.inc');
 
 
Index: typo3/classes/class.shortcutmenu.php
===================================================================
--- typo3/classes/class.shortcutmenu.php	(Revision 5046)
+++ typo3/classes/class.shortcutmenu.php	(Arbeitskopie)
@@ -26,9 +26,6 @@
 ***************************************************************/
 
 if(TYPO3_REQUESTTYPE & TYPO3_REQUESTTYPE_AJAX) {
-	require_once('interfaces/interface.backend_toolbaritem.php');
-	require_once(PATH_t3lib.'class.t3lib_loadmodules.php');
-
 	$GLOBALS['LANG']->includeLLFile('EXT:lang/locallang_misc.xml');
 
 		// needed to get the correct icons when reloading the menu after saving it
Index: typo3/wizard_rte.php
===================================================================
--- typo3/wizard_rte.php	(Revision 5046)
+++ typo3/wizard_rte.php	(Arbeitskopie)
@@ -55,10 +55,6 @@
 require ('init.php');
 require ('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_wizards.xml');
-require_once (PATH_t3lib.'class.t3lib_tceforms.php');
-require_once (PATH_t3lib.'class.t3lib_loaddbgroup.php');
-require_once (PATH_t3lib.'class.t3lib_transferdata.php');
-
 t3lib_BEfunc::lockRecords();
 
 
Index: typo3/template.php
===================================================================
--- typo3/template.php	(Revision 5046)
+++ typo3/template.php	(Arbeitskopie)
@@ -124,7 +124,6 @@
 
 if (!defined('TYPO3_MODE'))	die("Can't include this file directly.");
 
-require_once(PATH_t3lib.'class.t3lib_ajax.php');
 
 
 
Index: typo3/tce_db.php
===================================================================
--- typo3/tce_db.php	(Revision 5046)
+++ typo3/tce_db.php	(Arbeitskopie)
@@ -53,7 +53,6 @@
 
 require ('init.php');
 require ('template.php');
-require_once (PATH_t3lib.'class.t3lib_tcemain.php');
 
 
 
Index: typo3/view_help.php
===================================================================
--- typo3/view_help.php	(Revision 5046)
+++ typo3/view_help.php	(Arbeitskopie)
@@ -77,8 +77,6 @@
 require('init.php');
 require('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_view_help.xml');
-require_once(PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
 
 
 /**
Index: typo3/backend.php
===================================================================
--- typo3/backend.php	(Revision 5046)
+++ typo3/backend.php	(Arbeitskopie)
@@ -27,20 +27,6 @@
 
 require_once('init.php');
 require_once('template.php');
-require_once('interfaces/interface.backend_toolbaritem.php');
-
-require('classes/class.typo3logo.php');
-require('classes/class.modulemenu.php');
-
-	// core toolbar items
-require('classes/class.workspaceselector.php');
-require('classes/class.clearcachemenu.php');
-require('classes/class.shortcutmenu.php');
-require('classes/class.backendsearchmenu.php');
-
-require_once(PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once(PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once('class.alt_menu_functions.inc');
 $GLOBALS['LANG']->includeLLFile('EXT:lang/locallang_misc.xml');
 
 
Index: typo3/wizard_colorpicker.php
===================================================================
--- typo3/wizard_colorpicker.php	(Revision 5046)
+++ typo3/wizard_colorpicker.php	(Arbeitskopie)
@@ -60,7 +60,6 @@
 $BACK_PATH = '';
 require('init.php');
 require('template.php');
-require_once(PATH_t3lib.'class.t3lib_stdgraphic.php');
 $LANG->includeLLFile('EXT:lang/locallang_wizards.xml');
 
 /**
Index: typo3/wizard_tsconfig.php
===================================================================
--- typo3/wizard_tsconfig.php	(Revision 5046)
+++ typo3/wizard_tsconfig.php	(Arbeitskopie)
@@ -73,9 +73,6 @@
 require ('init.php');
 require ('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_wizards.xml');
-require_once (PATH_t3lib.'class.t3lib_parsehtml.php');
-require_once (PATH_t3lib.'class.t3lib_tstemplate.php');
-require_once (PATH_t3lib.'class.t3lib_tsparser_ext.php');
 
 
 
Index: typo3/alt_menu.php
===================================================================
--- typo3/alt_menu.php	(Revision 5046)
+++ typo3/alt_menu.php	(Arbeitskopie)
@@ -52,8 +52,6 @@
 
 require ('init.php');
 require ('template.php');
-require_once (PATH_t3lib.'class.t3lib_loadmodules.php');
-require_once (PATH_t3lib.'class.t3lib_basicfilefunc.php');
 require_once ('class.alt_menu_functions.inc');
 
 
Index: typo3/alt_doc.php
===================================================================
--- typo3/alt_doc.php	(Revision 5046)
+++ typo3/alt_doc.php	(Arbeitskopie)
@@ -81,12 +81,7 @@
 require('init.php');
 require('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_alt_doc.xml');
-require_once (PATH_t3lib.'class.t3lib_tceforms.php');
-require_once (PATH_t3lib.'class.t3lib_clipboard.php');
 
-require_once (PATH_t3lib.'class.t3lib_tcemain.php');
-require_once (PATH_t3lib.'class.t3lib_loaddbgroup.php');
-require_once (PATH_t3lib.'class.t3lib_transferdata.php');
 
 
 t3lib_BEfunc::lockRecords();
Index: typo3/file_rename.php
===================================================================
--- typo3/file_rename.php	(Revision 5046)
+++ typo3/file_rename.php	(Arbeitskopie)
@@ -52,8 +52,6 @@
 $BACK_PATH = '';
 require('init.php');
 require('template.php');
-require_once(PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
 
 
 
Index: typo3/wizard_add.php
===================================================================
--- typo3/wizard_add.php	(Revision 5046)
+++ typo3/wizard_add.php	(Arbeitskopie)
@@ -51,7 +51,6 @@
 require ('init.php');
 require ('template.php');
 $LANG->includeLLFile('EXT:lang/locallang_wizards.xml');
-require_once(PATH_t3lib.'class.t3lib_flexformtools.php');
 
 
 
Index: typo3/tce_file.php
===================================================================
--- typo3/tce_file.php	(Revision 5046)
+++ typo3/tce_file.php	(Arbeitskopie)
@@ -54,8 +54,6 @@
 
 require('init.php');
 require('template.php');
-require_once(PATH_t3lib . 'class.t3lib_basicfilefunc.php');
-require_once(PATH_t3lib . 'class.t3lib_extfilefunc.php');
 
 
 
Index: typo3/file_newfolder.php
===================================================================
--- typo3/file_newfolder.php	(Revision 5046)
+++ typo3/file_newfolder.php	(Arbeitskopie)
@@ -52,8 +52,6 @@
 $BACK_PATH = '';
 require('init.php');
 require('template.php');
-require_once(PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
 
 
 
Index: typo3/file_edit.php
===================================================================
--- typo3/file_edit.php	(Revision 5046)
+++ typo3/file_edit.php	(Arbeitskopie)
@@ -51,8 +51,6 @@
 $BACK_PATH = '';
 require('init.php');
 require('template.php');
-require_once(PATH_t3lib.'class.t3lib_basicfilefunc.php');
-require_once(PATH_t3lib.'class.t3lib_parsehtml.php');
 
 
 
Index: typo3/mod/tools/em/class.em_index.php
===================================================================
--- typo3/mod/tools/em/class.em_index.php	(Revision 5046)
+++ typo3/mod/tools/em/class.em_index.php	(Arbeitskopie)
@@ -167,16 +167,7 @@
  *
  */
 
-	// Include classes needed:
-require_once(PATH_t3lib.'class.t3lib_tcemain.php');
-require_once(PATH_t3lib.'class.t3lib_install.php');
-require_once(PATH_t3lib.'class.t3lib_tsstyleconfig.php');
-require_once(PATH_t3lib.'class.t3lib_scbase.php');
 
-require_once('class.em_xmlhandler.php');
-require_once('class.em_terconnection.php');
-require_once('class.em_unzip.php');
-
 	// from tx_ter by Robert Lemke
 define('TX_TER_RESULT_EXTENSIONSUCCESSFULLYUPLOADED', '10504');
 
Index: typo3/mod/web/perm/index.php
===================================================================
--- typo3/mod/web/perm/index.php	(Revision 5046)
+++ typo3/mod/web/perm/index.php	(Arbeitskopie)
@@ -66,10 +66,6 @@
 require($BACK_PATH.'template.php');
 require('class.sc_mod_web_perm_ajax.php');
 $LANG->includeLLFile('EXT:lang/locallang_mod_web_perm.xml');
-require_once (PATH_t3lib.'class.t3lib_pagetree.php');
-require_once (PATH_t3lib.'class.t3lib_page.php');
-require_once (PATH_t3lib.'class.t3lib_parsehtml.php');
-
 $BE_USER->modAccess($MCONF,1);
 
 
Index: typo3/mod/web/func/index.php
===================================================================
--- typo3/mod/web/func/index.php	(Revision 5046)
+++ typo3/mod/web/func/index.php	(Arbeitskopie)
@@ -54,9 +54,6 @@
 require($BACK_PATH.'init.php');
 require($BACK_PATH.'template.php');
 $LANG->includeLLFile('EXT:lang/locallang_mod_web_func.xml');
-require_once(PATH_t3lib.'class.t3lib_scbase.php');
-require_once (PATH_t3lib.'class.t3lib_parsehtml.php');
-
 $BE_USER->modAccess($MCONF,1);
 
 
Index: typo3/mod/web/info/index.php
===================================================================
--- typo3/mod/web/info/index.php	(Revision 5046)
+++ typo3/mod/web/info/index.php	(Arbeitskopie)
@@ -53,9 +53,6 @@
 require($BACK_PATH.'init.php');
 require($BACK_PATH.'template.php');
 $LANG->includeLLFile('EXT:lang/locallang_mod_web_info.xml');
-require_once (PATH_t3lib.'class.t3lib_scbase.php');
-require_once (PATH_t3lib.'class.t3lib_parsehtml.php');
-
 $BE_USER->modAccess($MCONF,1);
 
 
Index: typo3/mod/user/ws/class.wslib.php
===================================================================
--- typo3/mod/user/ws/class.wslib.php	(Revision 5046)
+++ typo3/mod/user/ws/class.wslib.php	(Arbeitskopie)
@@ -210,11 +210,6 @@
 				t3lib_BEfunc::deleteClause('sys_workspace')
 		);
 
-			// If any workspaces was selected:
-		if (count($workspaces))	{
-			require_once(PATH_t3lib.'class.t3lib_tcemain.php');	// Including it here because we want to load a 1-minute cronjob with inclusion only if needed!
-		}
-
 		foreach($workspaces as $rec)	{
 
 				// First, clear start/end time so it doesn't get select once again:
Index: typo3/mod/user/ws/workspaceforms.php
===================================================================
--- typo3/mod/user/ws/workspaceforms.php	(Revision 5046)
+++ typo3/mod/user/ws/workspaceforms.php	(Arbeitskopie)
@@ -73,16 +73,9 @@
 require($BACK_PATH.'init.php');
 require($BACK_PATH.'template.php');
 $BE_USER->modAccess($MCONF,1);
-
-// Include libraries of various kinds used inside:
 $LANG->includeLLFile('EXT:lang/locallang_mod_user_ws.xml');
-require_once(PATH_t3lib.'class.t3lib_scbase.php');
-//require_once(PATH_typo3.'mod/user/ws/class.wslib.php');
-require_once(PATH_t3lib.'class.t3lib_tcemain.php');
-require_once(PATH_t3lib.'class.t3lib_tceforms.php');
-require_once (PATH_t3lib.'class.t3lib_transferdata.php');
-require_once (PATH_t3lib.'class.t3lib_loaddbgroup.php');
 
+
 /**
  * Module: Workspace forms for editing/creating workspaces.
  *
Index: typo3/mod/user/ws/publish.php
===================================================================
--- typo3/mod/user/ws/publish.php	(Revision 5046)
+++ typo3/mod/user/ws/publish.php	(Arbeitskopie)
@@ -58,12 +58,7 @@
 require($BACK_PATH . 'init.php');
 require($BACK_PATH . 'template.php');
 $BE_USER->modAccess($MCONF, 1);
-
-// Include libraries of various kinds used inside:
 $LANG->includeLLFile('EXT:lang/locallang_mod_user_ws.xml');
-require_once(PATH_t3lib . 'class.t3lib_scbase.php');
-require_once(PATH_typo3 . 'mod/user/ws/class.wslib.php');
-require_once(PATH_t3lib . 'class.t3lib_tcemain.php');
 
 define('MAX_RECORDS_TO_PUBLISH', 30);
 
Index: typo3/mod/user/ws/index.php
===================================================================
--- typo3/mod/user/ws/index.php	(Revision 5046)
+++ typo3/mod/user/ws/index.php	(Arbeitskopie)
@@ -80,12 +80,6 @@
 	// Include libraries of various kinds used inside:
 $LANG->includeLLFile('EXT:lang/locallang_mod_user_ws.xml');
 $LANG->includeLLFile('EXT:lang/locallang_misc.xml');
-require_once(PATH_t3lib.'class.t3lib_scbase.php');
-require_once(PATH_typo3.'mod/user/ws/class.wslib.php');
-require_once(PATH_typo3.'mod/user/ws/class.wslib_gui.php');
-require_once(PATH_t3lib.'class.t3lib_diff.php');
-require_once(PATH_t3lib.'class.t3lib_pagetree.php');
-require_once(PATH_t3lib.'class.t3lib_tcemain.php');
 
 
 
